/*
 *  function allocates and initializes a frequency count object 
 *
 *    one argument:
 *        fc   -   initial count for object
 *
 *    value returned:  
 *        pointer to new frequency count object, initialized to fc
 */

#include <stdio.h>

#include "fctypes.h"
#include "fcfns.h"

pFCount fcmake (FCount fc)
{   
   pFCount pfc = (pFCount) malloc(sizeof(FCount));

   if (pfc == 0) {
      fprintf(stderr,"?? out of space failure in fcinit\n");
      fprintf(stderr,"?? cannot make frequency count object\n");
      return(nilFCount);
   }
   putFCount(pfc,fc);

   return(pfc);
}
