/*  item name type header file   */

#ifndef FITYPES_HDR
#define FITYPES_HDR

#ifndef BASETYPES_HDR
#include  "basetypes.h"
#endif  /* BASETYPES_HDR */
                           
/*
 *  type for naming objects that are being frequency-counted
 */
typedef struct {
        /*  true if item being counted has a unique name  */
    BOOLEAN hasOneName;   
        /*  valid only if hasOneName is true              */
    char itemName;
} FItemname, *pFItemname;

#define nilFItemname            ((pFItemname) 0)

#endif  /* FITYPES_HDR */
