/*  data types file: pkg for init'ing list of char frequencies
 */

#ifndef FLTYPES_HDR
#define FLTYPES_HDR

#ifndef BASETYPES_HDR
#include  "basetypes.h"
#endif  /* BASETYPES_HDR */

#ifndef FCTYPES_HDR
#include  "fctypes.h"
#endif  /* FCTYPES_HDR */

#ifndef FITYPES_HDR
#include  "fitypes.h"
#endif  /* FITYPES_HDR */

  /*
   *  definition for a list of <character, frequency> pairs
   */

  typedef struct freq {
     struct freq *nextItem;   /* next item in list of pairs         */
     pFItemname  pItemName;   /* ptr to name of char for this count */
     pFCount     pOccCount;   /* ptr to count associated with char  */
  } FList, *pFList;

#define nilFList        ((pFList) 0)

#endif  /* FLTYPES_HDR */
