/*  Huffman code tree  function definitions file */

#ifndef HTFNS_HDR
#define HTFNS_HDR

#ifndef HTTYPES_HDR
#include  "httypes.h"
#endif  /* HTTYPES_HDR */

/*  access macros for Huffman trees   */
#define  isNilHT(pt)              ((pt) == nilHT)
#define  getHTRoot(pt)            ((pt))
#define  putHTRoot(pt,val)        ((pt) = (val))

/*  operators on Huffman trees */
extern pHTree     htmake     ( BOOLEAN *status );
extern pHTree     htjoin     ( pHTree root1, pHTree root2, BOOLEAN *status );

extern void       htthread   ( pHTree huffmanT );
extern void       htreorder  ( pHTree huffmanT );

extern pHTreeNode htsetposn  ( pHTree pt, char *position, BOOLEAN *status);
extern void       htshowtree ( pHTree pt );
extern void       httreedump ( pHTree pt, unsigned disp_line_length );

extern void       htdestroy  ( pHTree pht );

#endif  /* HTFNS_HDR */
