/*  Huffman code character frequency tree node type definitions header file  */

#ifndef HTNTYPES_HDR
#define HTNTYPES_HDR

#ifndef BASETYPES_HDR
#include  "basetypes.h"
#endif  /* BASETYPES_HDR */

#ifndef FITYPES_HDR
#include  "fitypes.h"
#endif  /* FITYPES_HDR */

#ifndef FCTYPES_HDR
#include  "fctypes.h"
#endif  /* FCTYPES_HDR */

/*
 *  type declaration for a Huffman tree node
 */
typedef struct HTE {
    struct HTE *leftChild;   /* pointer to left child of current node */
    struct HTE *rightChild;  /* pointer to right child of current node */

    pFItemname  pItemName;   /* ptr to name of char for count at this node */
    pFCount     pOccCount;   /* ptr to ct of occurrences of char in stream */
} HTreeNode, *pHTreeNode;

#define  nilHTNode   ((pHTreeNode) 0)

#endif  /* HTNTYPES_HDR */
