/*
 *  function returns string containing dump of frequency count object
 *
 *    one argument: pfc  - pointer to frequency count object
 */

#include "fctypes.h"
#include "fcfns.h"

char *fcdump ( pFCount pfc ) 
{  
   unsigned freqCtSize = 0;
   FCount fc = getFCount(pfc);
   char *result;
 
   do {
       freqCtSize++; 
       fc /= 10;
   }  while (fc > 0);

   result = (char *) malloc( freqCtSize*sizeof(char) + 1);
   sprintf(result, "%d", getFCount(pfc)); 

   return result;
}
