/*  frequency count functions definitions file */

#ifndef FCFNS_HDR
#define FCFNS_HDR

#ifndef FCTYPES_HDR
#include  "fctypes.h"
#endif  /* FCTYPES_HDR */

/* frequency count object access macros  */
#define  getFCount(pfc)         (*(pfc))
#define  putFCount(pfc,val)     (*(pfc) = (val))

/* operators on frequency counts  */
extern pFCount fcmake    (FCount  fc );
extern char *fcdump      (pFCount pfc);
extern void fcdestroy    (pFCount pfc);

#endif  /* FCFNS_HDR */
