/*  item name functions definitions file */

#ifndef FIFNS_HDR
#define FIFNS_HDR

#ifndef FITYPES_HDR
#include  "fitypes.h"
#endif  /* FITYPES_HDR */

/* access macros for frequency count item name objects  */
#define getFIHasName(pfi)      ((pfi)->hasOneName)
#define putFIHasName(pfi)      ((pfi)->hasOneName = TRUE)
#define putFIIsNameless(pfi)   ((pfi)->hasOneName = FALSE)
#define getFIName(pfi)         ((pfi)->itemName)
#define putFIName(pfi,name)    ((pfi)->itemName = name)

/* operators on frequency count item name objects  */
extern pFItemname fimake  (char name, BOOLEAN hasOneName);
extern char *fidump       (pFItemname pni);
extern void fidestroy     (pFItemname pni);

#endif  /* FIFNS_HDR */
