/*
 *  take length of a list of character frequencies
 *
 *  Arguments:
 *
 *    pfl - pointer to first element in list
 *
 *  Outputs:  length of list
 *
 */

#include "fltypes.h"
#include "flfns.h"

unsigned fllength ( pFList pfl )
{ 
  pFList listp;
  unsigned length; 

  for (length=0, listp=pfl; !isNilFL(listp); listp=getFLNext(listp)) {
     length++;
  }
 
  return length;
}
