/*
 *  function removes first element from priority queue
 *
 *    one argument:    q - a pointer to a priority queue
 *    value returned:  TRUE iff queue nonempty when routine called
 */

#include "pqtypes.h"

#include "pqtypes.h"
#include "pqfns.h"

BOOLEAN pqrem (pPriQ q)
{
   if (isEmptyPriQ(q)) return(FALSE);

   swapPriQelt(q, getPriQminidx(q), getPriQmaxidx(q));
   putPriQffree(q, getPriQffree(q)-1);
   pqsiftdn(q, getPriQminidx(q));
   return(TRUE);
}
