/*  Huffman tree node work list function definitions file */

#ifndef WLFNS_HDR
#define WLFNS_HDR
 
#ifndef WLTYPES_HDR
#include  "wltypes.h"
#endif  /* WLTYPES_HDR */

/*  access macros for Huffman tree node work list objects   */
#define isNilWL(pwl)           (pwl == nilWL)
#define isNilWLTreeNode(pwl)   (isNilHTNode((pwl)->thisTreeNode))

#define getWLNext(pwl)         ((pwl)->nextItem)
#define getWLTreeNode(pwl)     ((pwl)->thisTreeNode)

#define putWLNext(pwl,val)     ((pwl)->nextItem = (val))
#define putWLTreeNode(pwl,val) ((pwl)->thisTreeNode = (val))

/*  operators on Huffman tree node work lists */
extern pWList      wlmake    ( pHTreeNode pht );
extern void        wldestroy ( pWList pwl );

#endif  /*  WLFNS_HDR  */
