/*
 * Module defines types for a worklist of huffman Tree nodes
 * 
 * 
 */

#ifndef WLTYPES_HDR
#define WLTYPES_HDR

#ifndef BASETYPES_HDR
#include  "basetypes.h"
#endif  /* BASETYPES_HDR */

#ifndef HTTYPES_HDR
#include  "httypes.h"
#endif  /* HTTYPES_HDR */

/*
 *  definition for a worklist of tree nodes
 *  won't differentiate here between types of list head, list items
 */

typedef struct work {
   struct work *nextItem;    /* next item in worklist of nodes */
   pHTreeNode thisTreeNode;  /* the "payload" item */
} WList, *pWList;
 
#define nilWL                ((pWList) 0)

#endif  /* WLTYPES_HDR */
